Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_hash_get_all

## Name

librdf_hash_get_all -- Retrieve all values from hash for a given key

## Synopsis

``librdf_iterator* `librdf_hash_get_all`` (librdf_hash* `hash`, librdf_hash_datum * `key`, librdf_hash_datum * `value`);`

## Arguments

`hash`

  hash object

`key`

  pointer to key

`value`

  pointer to value

## Description

The iterator returns librdf_hash_datum objects containing the values. These are newly allocated memory which the caller must free.

## Return value

a librdf_iterator serialization of all values or NULL on failure

<<< Previous | Home | Next >>>
librdf_hash_get_one | Up | librdf_hash_get_del